Skip to main content
Weavr API
Managed accounts

Get an account transaction

GET/managed_accounts/{id}/transactions/{transactionId}

Returns the transaction identified by transactionId for the managed account identified by id, including its type, amount, state, and timestamps.

Read the transaction activity overview for the common transaction model and supported transaction types.

Request

Path parameters

Responses

200OK

Success

Headers
Body
application/json
{}
InstrumentTransactionActivityItemInstrumentTransactionActivityItem · object · 9 fields
Response example
{  "id": "string",  "type": "transfers",  "status": "DRAFT",  "direction": "CREDIT",  "amount": {    "currency": "GBP",    "amount": 1250  },  "fee": {    "id": "string",    "type": "fees",    "amount": {      "currency": "GBP",      "amount": 1250    },    "subtype": {}  },  "creationTimestamp": 0,  "lastUpdatedTimestamp": 0,  "transaction": {    "id": "2468013579",    "profileId": "10001",    "tag": "invoice-2026-0042",    "source": {      "type": "managed_accounts",      "id": "123456789"    },    "destination": {      "type": "managed_accounts",      "id": "987654321"    },    "destinationAmount": {      "currency": "GBP",      "amount": 1250    },    "description": "Invoice 2026-0042",    "state": "COMPLETED",    "creationTimestamp": 1786118400000,    "executionTimestamp": "1786118401250"  }}